#!/bin/bash

# add firewall rule
echo "Open wtflmgrd_is8 port."
firewall-cmd --add-service=wtflmgrd_is8
firewall-cmd --add-service=wtflmgrd_is8 --permanent

# register license key and do activation
echo "Activate FLM license."
/opt/wtflmgrd_is8/bin/wtflmgrd --register --skipifexists
if [ "$?" -ne 0 ]; then
	echo "FLM License registration failed."
	exit 1
fi

# change owner
chown wtflmgrd_is8:wtflmgrd_is8 /var/lib/wtflmgrd_is8/{license.dat,license_info.dat}

# start wtflmgrd system
echo "Enable daemon."
systemctl --quiet daemon-reload
systemctl --quiet enable --now wtflmgrd_is8

echo "Done."
exit 0
